﻿using System.Collections.ObjectModel;
using System.ComponentModel;

namespace SimpleSample
{
    public class Model
    {
        public string Name { set; get; }
        public int Age { set; get; }
    }

    public class ViewModel : INotifyPropertyChanged
    {
        private ObservableCollection<Model> items = new ObservableCollection<Model>();
        public ObservableCollection<Model> Items
        {
            get
            {
                return items;
            }
            set
            {
                items = value;
                RaisePropertyChanged("Items");
            }
        }

        private ObservableCollection<Model> items1 = new ObservableCollection<Model>();
        public ObservableCollection<Model> Items1
        {
            get
            {
                return items1;
            }
            set
            {
                items1 = value;
                RaisePropertyChanged("Items1");
            }
        }

        public ViewModel()
        {
            Items.Add(new Model() { Name = "Dom", Age = 23 });
            Items.Add(new Model() { Name = "Mary", Age = 40 });
            Items.Add(new Model() { Name = "Jeny", Age = 28 });
            Items.Add(new Model() { Name = "Mark", Age = 33 });

            Items1.Add(new Model() { Name = "Dom", Age = 23 });
            Items1.Add(new Model() { Name = "Mary", Age = 40 });
            Items1.Add(new Model() { Name = "Jeny", Age = 28 });
            Items1.Add(new Model() { Name = "Mark", Age = 33 });
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void RaisePropertyChanged(string property)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(property));
            }
        }
    }
}
